Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-mime
Version:        2.0.3
Release:        alt1_4
Summary:        A comprehensive library for mime-type mapping

License:        MIT
URL:            https://github.com/broofa/node-mime
Source0:        https://registry.npmjs.org/mime/-/mime-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  mocha
BuildRequires:	npm(chalk)
BuildRequires:	npm(mime-db)
BuildRequires:	npm(mime-types)
Source44: import.info

%description
Comprehensive MIME type mapping API. Includes all 600+ types and 800+ extensions
defined by the Apache project, plus additional types submitted by the node.js
community.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/mime
cp -pr package.json types *.js %{buildroot}%{nodejs_sitelib}/mime

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%{_bindir}/mocha -R spec src/test.js

%files
%{nodejs_sitelib}/mime
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.3-alt1_4
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.10-alt1_1
- fc import

* Mon Jun 24 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.9-alt1_3
- initial import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.9-alt1_1
- initial import

